Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038091
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSminorhave not tried2018-03-09 12:202018-03-14 19:47
ReporterjarmendarizView Statuspublic 
Assigned Tojarmendariz 
PrioritynormalResolutionfixedFixed in VersionRR18Q2
StatusclosedFix in branchFixed in SCM revisionbce373858d29
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038091: JDK 9: Remove [dep-ann] warnings removing deprecated elements

DescriptionThere are some methods/interfaces marked as deprecated in Javadoc but not annotated with @Deprecated. This is a warning from JDK 9. As those methods are not used anywhere, they can be removed to make the warnings dissappear.

The warning appears for the following methods:

MobileCoreLoginHandler.java
  checkConcurrentUsers()

MobileServerUtils.java
  isMobileServerControllerEnabled()

OBMOBCUtils.java
  setCORSHeader(HttpServletRequest, HttpServletResponse)

ExternalOrderLoader.java
  resolve(String,String,String)

POSAppCacheResourceProvider.java <- This interface is not used anywhere. Can be removed

For more details see:
https://docs.google.com/spreadsheets/d/1OsTLaQIb8HUUL7vXiP9O9HMz4N0BLTWEKq4Qoyt_gEI/edit?usp=sharing [^]
Steps To ReproduceSee above
Proposed SolutionJust remove the deprecated methods/interfaces shown.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0037942 closedjarmendariz Openbravo ERP JDK 9: remove [dep-ann] warnings by removing deprecated elements 
related to feature request 0037083 closedalostale Openbravo ERP support JDK 9 

-  Notes
(0103200)
hgbot (developer)
2018-03-13 16:24

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: f240eaebf6f654610ad0d6ecb6d12e462daf8feb
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Tue Mar 13 16:14:41 2018 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/f240eaebf6f654610ad0d6ecb6d12e462daf8feb [^]

Fixed bug 38091: Removed unused and deprecated methods/classes

This fix removes [dep-ann] warnings starting from JDK9.

---
M src/org/openbravo/mobile/core/login/MobileCoreLoginHandler.java
M src/org/openbravo/mobile/core/servercontroller/MobileServerUtils.java
M src/org/openbravo/mobile/core/utils/OBMOBCUtils.java
---
(0103202)
hgbot (developer)
2018-03-13 16:25

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: bce373858d2956593de99e574f280eeb3b522a1a
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Tue Mar 13 16:18:01 2018 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/bce373858d2956593de99e574f280eeb3b522a1a [^]

Fixed bug 38091: Removed unused and deprecated methods/classes

This fix removes [dep-ann] warnings starting from JDK9.

---
M src/org/openbravo/retail/posterminal/ExternalOrderLoader.java
M src/org/openbravo/retail/posterminal/POSAppCacheResourceProvider.java
---
(0103230)
hgbot (developer)
2018-03-14 09:21

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 2dd526e947bdb20be41a157f858c669e9ddef259
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Wed Mar 14 09:20:50 2018 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/2dd526e947bdb20be41a157f858c669e9ddef259 [^]

Related to bug 38091: Remove [dep-ann] warnings in JDK9

Marking some methods/constants as deprecated both in Javadoc and with annotation.

---
M src/org/openbravo/mobile/core/process/JSONProcessSimple.java
M src/org/openbravo/mobile/core/process/MobileService.java
M src/org/openbravo/mobile/core/servercontroller/MultiServerJSONProcess.java
---
(0103255)
hgbot (developer)
2018-03-14 19:45

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: fa86be35660857dc79129448eadabe7b1480c2d5
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Wed Mar 14 19:44:52 2018 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/fa86be35660857dc79129448eadabe7b1480c2d5 [^]

related to bug 38091: add missing deprecated tag in javadoc text

---
M src/org/openbravo/retail/posterminal/ExternalOrderLoader.java
---
(0103256)
caristu (developer)
2018-03-14 19:47

Verified

- Issue History
Date Modified Username Field Change
2018-03-09 12:20 jarmendariz New Issue
2018-03-09 12:20 jarmendariz Assigned To => Retail
2018-03-09 12:20 jarmendariz Triggers an Emergency Pack => No
2018-03-09 12:25 jarmendariz Relationship added related to 0038055
2018-03-13 16:24 hgbot Checkin
2018-03-13 16:24 hgbot Note Added: 0103200
2018-03-13 16:24 hgbot Status new => resolved
2018-03-13 16:24 hgbot Resolution open => fixed
2018-03-13 16:24 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/f240eaebf6f654610ad0d6ecb6d12e462daf8feb [^]
2018-03-13 16:25 hgbot Checkin
2018-03-13 16:25 hgbot Note Added: 0103202
2018-03-13 16:25 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/f240eaebf6f654610ad0d6ecb6d12e462daf8feb [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/bce373858d2956593de99e574f280eeb3b522a1a [^]
2018-03-13 16:28 jarmendariz Assigned To Retail => jarmendariz
2018-03-13 16:28 jarmendariz Review Assigned To => caristu
2018-03-13 16:30 caristu Relationship deleted related to 0038055
2018-03-13 16:30 caristu Relationship added related to 0037942
2018-03-13 16:31 caristu Relationship added related to 0037083
2018-03-14 09:21 hgbot Checkin
2018-03-14 09:21 hgbot Note Added: 0103230
2018-03-14 19:45 hgbot Checkin
2018-03-14 19:45 hgbot Note Added: 0103255
2018-03-14 19:47 caristu Note Added: 0103256
2018-03-14 19:47 caristu Status resolved => closed
2018-03-14 19:47 caristu Fixed in Version => RR18Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker